Retrieving Chemo Regimen Templates by Agent ID GET
The DynaMed/DynaMedex GET /v2/content/chemo-regimens/agents/{agentId}/templates endpoint returns the chemo regimen templates that use a specific chemotherapy agent. The "agentId" path parameter is the ID of the agent, which can be obtained from the chemo regimen agents endpoint. Each returned template includes the regimen title, the disease it treats, the indications for its use, and its published date.
Basic Search for Chemo Regimen Templates by Agent ID
To Retrieve Chemo Regimen Templates for a Given Agent ID (example):
Gather the following information for the request:
- An access token. Please see Using the Client Credentials Grant for further information.
- An agentId. This is the ID of the agent, which can be found using the chemo regimen agents endpoint.
Request
GET https://apis.ebsco.com/medsapi-dynamed/v2/content/chemo-regimens/agents/3049fdb7-82c0-40a4-a902-0bd8da96ad8f/templatesResponse
{
"_metadata": {
"totalItems": 1,
"links": [
{
"rel": "self",
"href": "https://apis.ebsco.com/medsapi-dynamed/v2/content/chemo-regimens/agents/3049fdb7-82c0-40a4-a902-0bd8da96ad8f/templates"
}
]
},
"items": [
{
"templateId": "BRS119",
"regimenTitle": "Abemaciclib/Fulvestrant",
"courseTitle": null,
"diseaseId": "86407c98-6e77-4dc6-859b-37e22a100c7a",
"diseaseName": "Breast Cancer",
"indicationSentences": [
"Hormone receptor positive and HER2 negative: Recurrent unresectable (local or regional) or Metastatic"
],
"publishedDate": "2024-03-18"
}
]
}Error Response Codes
The DynaMed chemo regimen templates by agent ID endpoint can return one of the error response codes.
Updated about 19 hours ago
Did this page help you?
